Skip to main content
PATCH
/
v1
/
tickets
/
{id}
Update a Ticket
curl --request PATCH \
  --url https://api.tread-horizon.com/v1/tickets/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quantity": 123,
  "ticket_number": "<string>",
  "unit_of_measure": "Load",
  "material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "flagged": true,
  "service_date": "2023-11-07T05:31:56Z",
  "printed_at": "2023-11-07T05:31:56Z"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ticket_number": "<string>",
    "preview_url": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "quantity": "<string>",
    "unit_of_measure": "Load",
    "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "image_url": "<string>",
    "image_mime_type": "<string>",
    "preview_mime_type": "<string>",
    "ocr_ticket_number": "<string>",
    "ocr_net_quantity_ton": "<string>",
    "ocr_processed": true,
    "load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source": "driver_app",
    "state": "new",
    "flagged": true,
    "missing_info": true,
    "printed_at": "2023-11-07T05:31:56Z",
    "ocr_ticket_number_confidence": "\"1.0\", \"90.5\", null",
    "ocr_net_quantity_ton_confidence": "\"1.0\", \"90.5\", null",
    "ocr_service_date": "2023-11-07T05:31:56Z",
    "ocr_service_date_raw_str": "<string>",
    "ai_processed": true,
    "material": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "external_id": "<string>"
    },
    "state_events": [
      "approve"
    ],
    "service_date": "2023-11-07T05:31:56Z",
    "friendly_job_id": "<string>",
    "customer_name": "<string>",
    "project_name": "<string>",
    "dispatch_number_name": "<string>",
    "equipment_name": "<string>",
    "driver_name": "<string>",
    "vendor_name": "<string>",
    "material_name": "<string>",
    "pickup_site_name": "<string>",
    "dropoff_site_name": "<string>",
    "external_truck_id": "<string>",
    "external_vendor_name": "<string>",
    "external_material_material_name": "<string>",
    "external_net_weight": "<string>",
    "external_net_weight_unit": "<string>",
    "external_ticket_number": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

id
string
required

Ticket ID

Body

application/json
quantity
number | null
ticket_number
string | null
unit_of_measure
enum<string>
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

material_id
string<uuid>
load_id
string<uuid>
flagged
boolean
service_date
string<date-time>
printed_at
string<date-time> | null

Response

OK

data
Ticket-Read · object
required